
#ifndef _eg_20_form_H
#define _eg_20_form_H
/*==============================================================================



==============================================================================*/
#include "gui.h"

enum
{
  paTicTacToe_paTicTacToe=100,
  paTicTacToe_BAR_HORIZ_2,
  paTicTacToe_BAR_HORIZ_1,
  paTicTacToe_BAR_VERT_1,
  paTicTacToe_BAR_VERT_2,
  paTicTacToe_Rect1,
};




class paTicTacToe : public CWindow
{

  private:

  public:

    CRect *BAR_HORIZ_2;
    CRect *BAR_HORIZ_1;
    CRect *BAR_VERT_1;
    CRect *BAR_VERT_2;
    CRect *Rect1;

    paTicTacToe();
    void Initialize(void);
    ~paTicTacToe(void);


  private:

    enum e_state
    { 
      STATE_GAME_START=1,
      STATE_GAME_OVER,
    } m_state;

    enum { ID_MENU=1000, IDM_NEWGAME, IDM_ABOUT, IDM_EXIT, }; // menu ids

    CMenu *m_menu;
    int  m_owner[9]; // who has control of space (0=empty, 1=1st player, 2=2nd player)
    RECT m_rect[9]; // position of each element in display
    int  m_move;
    int  m_statusX;
    char m_statusText[100];

    void NewGame(bool brandNew);
    void HandleMenu(CViewable *from, S32 data);
    void HandlePen(CViewable *from, S32 data);
    S32  MsgHandler( MSG_TYPE type, CViewable *from, S32 data );
    void DrawItem(int index);
    void Draw(void);
    int  CheckGame(void);
    void Close(void);
    bool CurrentlyPlaying(void);
    void DrawStatus(const char *text);



};
//------------------------------------------------------------------------------
#endif
